service_client_factory_start_service
service_client_free
service_client_new
service_client_t
SERVICE_CONSTRUCTOR
service_disable_bypass_ssl
service_disable_ssl
service_enable_ssl
service_error_t
service_get_connection
service_receive
service_receive_with_timeout
service_send

## service_client_factory_start_service()

LIBIMOBILEDEVICE_API service_error_t service_client_factory_start_service | ( | idevice_t | device,
|  | const char * | service_name,
|  | void ** | client,
|  | const char * | label,
|  | int32_t(* | constructor_func )(idevice_t, lockdownd_service_descriptor_t, void **),
|  | int32_t * | error_code )

Starts a new service on the specified device with given name and connects to it.

Parameters

  device | The device to connect to.
  service_name | The name of the service to start.
  client | Pointer that will point to a newly allocated service_client_t upon successful return. Must be freed using service_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.
  constructor_func | Constructor function for the service client to create (e.g. afc_client_new())
  error_code | Pointer to an int32_t that will receive the service start error code.

Returns
  SERVICE_E_SUCCESS on success, or a SERVICE_E_* error code otherwise.